#!/bin/sh

if ! [[ -d pgvv/ ]]; then
	python3 -m venv pgvv
	source ./pgvv/bin/activate
	python3 -m pip install --upgrade pip
	pip install --upgrade pygments
	pip install --upgrade fonttools
	pip install --upgrade brotli
	deactivate
fi

which opam 2> /dev/null
if [[ $? == 0 ]]; then
	opam install -y soupault
else
	echo 'failed to install soupault with opam' >&2
	exit 2
fi

which cargo 2> /dev/null
if [[ $? == 0 ]]; then
	cargo install jotdown
else
	echo 'failed to install jotdown with cargo'
	exit 3
fi
